View Issue Details

IDProjectCategoryView StatusLast Update
0002363Industrial-Craft²general / otherpublic2018-05-08 11:01
ReporterkencinderAssigned ToChocohead 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002363: Client crash when mod is not present on the server.
DescriptionWe run multiple servers utilizing Waterfall, one of which IC2 is not present on, as it is dedicated to a specific mod and IC2 is not wanted on that server.

When connected to this server, putting any fuel in a vanilla furnace causes the client to crash. No items present in the top slot are required.

I set up a Forge test server with absolutely no mods, running Forge 14.23.3.2676 to verify the issue persists, as we are still running 2611 on production servers.
Steps To ReproduceRun a Forge server without IC2 present and connect to it with a client that has IC2 present.
Additional InformationIC2 Version: 2.8.75-ex112
Forge Version: 14.23.3.2676
TagsNo tags attached.
Minecraft Version1.12.2

Activities

kencinder

2018-04-29 18:38

reporter  

crash-2018-04-29_15.28.20-client.txt (15,782 bytes)
---- Minecraft Crash Report ----
// Shall we play a game?

Time: 4/29/18 3:28 PM
Description: Updating screen events

java.lang.IllegalArgumentException: No item found for Block{null}
	at ic2.core.ref.BlockName.getItemStack(BlockName.java:88)
	at ic2.core.ref.BlockName.getItemStack(BlockName.java:60)
	at ic2.core.IC2.getBurnTime(IC2.java:463)
	at net.minecraftforge.fml.common.registry.GameRegistry.getFuelValueLegacy(GameRegistry.java:261)
	at net.minecraftforge.event.ForgeEventFactory.getItemBurnTime(ForgeEventFactory.java:270)
	at net.minecraft.tileentity.TileEntityFurnace.func_145952_a(TileEntityFurnace.java:318)
	at net.minecraft.tileentity.TileEntityFurnace.func_145954_b(TileEntityFurnace.java:409)
	at net.minecraft.inventory.SlotFurnaceFuel.func_75214_a(SourceFile:15)
	at net.minecraft.inventory.Container.func_184996_a(Container.java:272)
	at net.minecraft.client.multiplayer.PlayerControllerMP.func_187098_a(PlayerControllerMP.java:566)
	at net.minecraft.client.gui.inventory.GuiContainer.func_184098_a(GuiContainer.java:638)
	at net.minecraft.client.gui.inventory.GuiContainer.func_146286_b(GuiContainer.java:604)
	at net.minecraft.client.gui.GuiScreen.func_146274_d(GuiScreen.java:543)
	at net.minecraft.client.gui.GuiScreen.func_146269_k(GuiScreen.java:501)
	at net.minecraft.client.Minecraft.func_71407_l(Minecraft.java:1757)
	at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:1096)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:397)
	at net.minecraft.client.main.Main.main(SourceFile:123)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:483)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Client thread
Stacktrace:
	at ic2.core.ref.BlockName.getItemStack(BlockName.java:88)
	at ic2.core.ref.BlockName.getItemStack(BlockName.java:60)
	at ic2.core.IC2.getBurnTime(IC2.java:463)
	at net.minecraftforge.fml.common.registry.GameRegistry.getFuelValueLegacy(GameRegistry.java:261)
	at net.minecraftforge.event.ForgeEventFactory.getItemBurnTime(ForgeEventFactory.java:270)
	at net.minecraft.tileentity.TileEntityFurnace.func_145952_a(TileEntityFurnace.java:318)
	at net.minecraft.tileentity.TileEntityFurnace.func_145954_b(TileEntityFurnace.java:409)
	at net.minecraft.inventory.SlotFurnaceFuel.func_75214_a(SourceFile:15)
	at net.minecraft.inventory.Container.func_184996_a(Container.java:272)
	at net.minecraft.client.multiplayer.PlayerControllerMP.func_187098_a(PlayerControllerMP.java:566)
	at net.minecraft.client.gui.inventory.GuiContainer.func_184098_a(GuiContainer.java:638)
	at net.minecraft.client.gui.inventory.GuiContainer.func_146286_b(GuiContainer.java:604)
	at net.minecraft.client.gui.GuiScreen.func_146274_d(GuiScreen.java:543)
	at net.minecraft.client.gui.GuiScreen.func_146269_k(GuiScreen.java:501)

-- Affected screen --
Details:
	Screen name: net.minecraft.client.gui.inventory.GuiFurnace

-- Affected level --
Details:
	Level name: MpServer
	All players: 1 total; [EntityPlayerSP['ken_cinder'/351, l='MpServer', x=-27.06, y=70.00, z=208.03]]
	Chunk stats: MultiplayerChunkCache: 404, 404
	Level seed: 0
	Level generator: ID 00 - default, ver 1. Features enabled: false
	Level generator options: 
	Level spawn location: World: (5,64,236), Chunk: (at 5,4,12 in 0,14; contains blocks 0,0,224 to 15,255,239), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
	Level time: 35315 game time, 35315 day time
	Level dimension: 0
	Level storage version: 0x00000 - Unknown?
	Level weather: Rain time: 0 (now: false), thunder time: 0 (now: false)
	Level game mode: Game mode: survival (ID 0). Hardcore: false. Cheats: false
	Forced entities: 116 total; [EntityPlayerSP['ken_cinder'/351, l='MpServer', x=-27.06, y=70.00, z=208.03], EntityChicken['Chicken'/256, l='MpServer', x=44.30, y=65.00, z=146.12], EntityChicken['Chicken'/257, l='MpServer', x=40.50, y=65.00, z=140.50], EntityChicken['Chicken'/258, l='MpServer', x=41.07, y=64.00, z=134.39], EntitySkeleton['Skeleton'/259, l='MpServer', x=35.11, y=14.00, z=159.50], EntityCow['Cow'/260, l='MpServer', x=45.20, y=66.00, z=151.58], EntityCow['Cow'/261, l='MpServer', x=46.50, y=66.00, z=150.50], EntityCow['Cow'/262, l='MpServer', x=43.50, y=65.00, z=148.50], EntityCow['Cow'/263, l='MpServer', x=44.50, y=65.00, z=148.50], EntitySkeleton['Skeleton'/264, l='MpServer', x=37.73, y=31.00, z=224.53], EntityZombie['Zombie'/265, l='MpServer', x=33.77, y=31.00, z=225.46], EntityCreeper['Creeper'/267, l='MpServer', x=36.50, y=24.00, z=255.50], EntityZombie['Zombie'/282, l='MpServer', x=51.50, y=43.00, z=251.50], EntityZombieVillager['Zombie Villager'/285, l='MpServer', x=48.82, y=39.00, z=274.50], EntityBat['Bat'/82, l='MpServer', x=-92.14, y=21.83, z=179.22], EntityEnderman['Enderman'/83, l='MpServer', x=-105.52, y=11.00, z=200.58], EntitySpider['Spider'/85, l='MpServer', x=-104.98, y=16.00, z=253.00], EntityWitch['Witch'/86, l='MpServer', x=-102.90, y=16.00, z=255.93], EntityCreeper['Creeper'/87, l='MpServer', x=-98.50, y=16.00, z=256.50], EntitySpider['Spider'/88, l='MpServer', x=-103.50, y=16.00, z=260.50], EntitySpider['Spider'/89, l='MpServer', x=-97.50, y=16.00, z=256.50], EntityCreeper['Creeper'/107, l='MpServer', x=-88.50, y=61.00, z=159.50], EntityZombie['Zombie'/108, l='MpServer', x=-89.25, y=62.00, z=151.53], EntityCreeper['Creeper'/109, l='MpServer', x=-89.52, y=59.00, z=156.20], EntityCreeper['Creeper'/110, l='MpServer', x=-87.50, y=29.00, z=166.50], EntityCreeper['Creeper'/111, l='MpServer', x=-95.50, y=23.00, z=172.50], EntitySkeleton['Skeleton'/112, l='MpServer', x=-89.50, y=13.00, z=176.50], EntityCreeper['Creeper'/113, l='MpServer', x=-82.81, y=13.00, z=181.35], EntitySkeleton['Skeleton'/114, l='MpServer', x=-83.50, y=25.00, z=199.50], EntitySpider['Spider'/115, l='MpServer', x=-86.01, y=43.00, z=201.06], EntitySkeleton['Skeleton'/116, l='MpServer', x=-83.50, y=50.00, z=202.50], EntityRabbit['Rabbit'/117, l='MpServer', x=-80.45, y=70.00, z=228.51], EntityRabbit['Rabbit'/118, l='MpServer', x=-83.47, y=70.00, z=224.50], EntityRabbit['Rabbit'/119, l='MpServer', x=-94.89, y=70.00, z=222.78], EntityCreeper['Creeper'/120, l='MpServer', x=-86.46, y=24.00, z=240.83], EntityRabbit['Rabbit'/121, l='MpServer', x=-90.50, y=70.00, z=265.50], EntityRabbit['Rabbit'/122, l='MpServer', x=-90.50, y=70.00, z=267.50], EntityRabbit['Rabbit'/123, l='MpServer', x=-92.50, y=70.00, z=268.50], EntityBat['Bat'/127, l='MpServer', x=-81.77, y=43.35, z=196.49], EntityRabbit['Rabbit'/128, l='MpServer', x=-68.01, y=70.00, z=180.85], EntityRabbit['Rabbit'/129, l='MpServer', x=-73.50, y=70.00, z=186.50], EntitySkeleton['Skeleton'/130, l='MpServer', x=-65.50, y=13.00, z=214.50], EntityCreeper['Creeper'/131, l='MpServer', x=-67.84, y=23.00, z=226.50], EntitySkeleton['Skeleton'/132, l='MpServer', x=-73.70, y=22.00, z=231.58], EntitySkeleton['Skeleton'/133, l='MpServer', x=-79.50, y=25.00, z=227.50], EntityRabbit['Rabbit'/134, l='MpServer', x=-71.39, y=69.00, z=263.36], EntityCreeper['Creeper'/153, l='MpServer', x=-58.56, y=19.00, z=159.20], EntityCreeper['Creeper'/154, l='MpServer', x=-60.69, y=20.00, z=158.70], EntityItem['item.tile.flower1.dandelion'/155, l='MpServer', x=-54.29, y=70.00, z=167.57], EntityEnderman['Enderman'/156, l='MpServer', x=-50.50, y=17.00, z=181.50], EntityBat['Bat'/157, l='MpServer', x=-70.72, y=46.79, z=198.22], EntitySpider['Spider'/158, l='MpServer', x=-53.50, y=49.00, z=198.50], EntityZombie['Zombie'/159, l='MpServer', x=-49.50, y=40.00, z=227.50], EntityBat['Bat'/160, l='MpServer', x=-48.22, y=43.99, z=250.02], EntityRabbit['Rabbit'/161, l='MpServer', x=-63.50, y=69.00, z=257.50], EntityRabbit['Rabbit'/162, l='MpServer', x=-69.03, y=69.00, z=264.03], EntityChicken['Chicken'/165, l='MpServer', x=-38.50, y=64.00, z=137.72], EntityChicken['Chicken'/166, l='MpServer', x=-40.19, y=64.00, z=138.47], EntityChicken['Chicken'/167, l='MpServer', x=-31.79, y=68.00, z=159.50], EntityChicken['Chicken'/168, l='MpServer', x=-31.84, y=65.00, z=139.59], EntityBat['Bat'/169, l='MpServer', x=-44.46, y=56.21, z=170.48], EntityEnderman['Enderman'/170, l='MpServer', x=-45.50, y=17.00, z=180.50], EntityCreeper['Creeper'/171, l='MpServer', x=-46.50, y=17.00, z=178.50], EntityCreeper['Creeper'/172, l='MpServer', x=-36.50, y=20.00, z=188.50], EntityCreeper['Creeper'/173, l='MpServer', x=-45.50, y=19.00, z=199.50], EntityZombie['Zombie'/174, l='MpServer', x=-36.50, y=18.00, z=193.50], EntityZombie['Zombie'/175, l='MpServer', x=-34.50, y=18.00, z=196.50], EntitySkeleton['Skeleton'/176, l='MpServer', x=-35.50, y=26.00, z=195.50], EntityBat['Bat'/177, l='MpServer', x=-36.26, y=15.06, z=212.34], EntitySkeleton['Skeleton'/178, l='MpServer', x=-36.79, y=14.00, z=209.49], EntityCreeper['Creeper'/179, l='MpServer', x=-42.50, y=25.00, z=225.50], EntityCreeper['Creeper'/180, l='MpServer', x=-44.50, y=25.00, z=225.50], EntitySkeleton['Skeleton'/181, l='MpServer', x=-41.50, y=24.00, z=246.50], EntityBat['Bat'/182, l='MpServer', x=-40.37, y=24.62, z=248.31], EntityBat['Bat'/183, l='MpServer', x=-34.25, y=34.10, z=274.75], EntitySheep['Sheep'/190, l='MpServer', x=-27.20, y=70.00, z=195.17], EntitySheep['Sheep'/191, l='MpServer', x=-22.18, y=70.00, z=199.48], EntitySkeleton['Skeleton'/193, l='MpServer', x=-17.54, y=33.00, z=282.25], EntityZombie['Zombie'/204, l='MpServer', x=-14.50, y=29.00, z=159.50], EntityZombie['Zombie'/205, l='MpServer', x=-12.22, y=29.00, z=156.98], EntityZombie['Zombie'/206, l='MpServer', x=-4.50, y=24.00, z=189.50], EntitySheep['Sheep'/207, l='MpServer', x=-19.32, y=70.00, z=186.79], EntityBat['Bat'/463, l='MpServer', x=-36.32, y=54.10, z=190.12], EntitySheep['Sheep'/208, l='MpServer', x=-9.31, y=68.00, z=183.81], EntitySheep['Sheep'/209, l='MpServer', x=-0.55, y=63.00, z=239.45], EntitySheep['Sheep'/210, l='MpServer', x=-10.18, y=64.00, z=230.70], EntitySheep['Sheep'/211, l='MpServer', x=-10.24, y=64.00, z=236.67], EntityChicken['Chicken'/212, l='MpServer', x=-4.89, y=64.00, z=232.65], EntitySheep['Sheep'/213, l='MpServer', x=-4.35, y=64.00, z=238.82], EntityChicken['Chicken'/214, l='MpServer', x=-6.11, y=64.00, z=245.09], EntityCreeper['Creeper'/215, l='MpServer', x=-0.20, y=25.00, z=273.56], EntitySheep['Sheep'/221, l='MpServer', x=4.77, y=63.00, z=239.33], EntityChicken['Chicken'/222, l='MpServer', x=5.10, y=65.00, z=231.70], EntityChicken['Chicken'/223, l='MpServer', x=1.50, y=64.00, z=233.50], EntitySheep['Sheep'/224, l='MpServer', x=5.19, y=64.00, z=236.38], EntitySheep['Sheep'/225, l='MpServer', x=7.51, y=64.00, z=231.70], EntitySheep['Sheep'/226, l='MpServer', x=0.49, y=65.00, z=229.70], EntityZombie['Zombie'/227, l='MpServer', x=0.50, y=24.00, z=248.50], EntitySquid['Squid'/228, l='MpServer', x=2.47, y=56.03, z=251.45], EntitySquid['Squid'/229, l='MpServer', x=4.59, y=56.65, z=264.25], EntitySquid['Squid'/230, l='MpServer', x=12.64, y=59.29, z=268.05], EntityCreeper['Creeper'/231, l='MpServer', x=15.50, y=16.00, z=278.50], EntityCreeper['Creeper'/232, l='MpServer', x=10.17, y=24.00, z=278.73], EntityChicken['Chicken'/238, l='MpServer', x=31.83, y=64.00, z=139.64], EntitySkeleton['Skeleton'/239, l='MpServer', x=29.46, y=14.00, z=153.73], EntityItem['item.item.seeds'/240, l='MpServer', x=18.66, y=64.00, z=172.93], EntityZombie['Zombie'/241, l='MpServer', x=27.50, y=26.00, z=238.50], EntityZombieVillager['Zombie Villager'/242, l='MpServer', x=25.50, y=32.00, z=258.50], EntitySquid['Squid'/243, l='MpServer', x=15.22, y=59.61, z=269.39], EntitySquid['Squid'/244, l='MpServer', x=22.03, y=56.91, z=268.47], EntitySquid['Squid'/245, l='MpServer', x=20.55, y=62.36, z=261.38], EntityBat['Bat'/503, l='MpServer', x=-92.54, y=18.93, z=214.43], EntityCow['Cow'/252, l='MpServer', x=44.64, y=65.00, z=136.14], EntityCow['Cow'/253, l='MpServer', x=41.84, y=65.00, z=140.25], EntityCow['Cow'/254, l='MpServer', x=45.50, y=65.00, z=134.50], EntityCow['Cow'/255, l='MpServer', x=45.50, y=65.00, z=134.50]]
	Retry entities: 0 total; []
	Server brand: fml,forge
	Server type: Non-integrated multiplayer server
Stacktrace:
	at net.minecraft.client.multiplayer.WorldClient.func_72914_a(WorldClient.java:420)
	at net.minecraft.client.Minecraft.func_71396_d(Minecraft.java:2738)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:418)
	at net.minecraft.client.main.Main.main(SourceFile:123)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:483)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)

-- System Details --
Details:
	Minecraft Version: 1.12.2
	Operating System: Windows 10 (amd64) version 10.0
	Java Version: 1.8.0_25, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 279465272 bytes (266 MB) / 855638016 bytes (816 MB) up to 1073741824 bytes (1024 MB)
	JVM Flags: 8 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx1G -XX:+UnlockExperimentalVMOptions -XX:+UseG1GC -XX:G1NewSizePercent=20 -XX:G1ReservePercent=20 -XX:MaxGCPauseMillis=50 -XX:G1HeapRegionSize=16M
	IntCache: cache: 0, tcache: 0, allocated: 13, tallocated: 95
	FML: MCP 9.42 Powered by Forge 14.23.3.2676 5 mods loaded, 5 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored

	| State  | ID        | Version      | Source                        | Signature                                |
	|:------ |:--------- |:------------ |:----------------------------- |:---------------------------------------- |
	| UCHIJA | minecraft | 1.12.2       | minecraft.jar                 | None                                     |
	| UCHIJA | mcp       | 9.42         | minecraft.jar                 | None                                     |
	| UCHIJA | FML       | 8.0.99.99    | forge-1.12.2-14.23.3.2676.jar | e3c3d50c7c986df74c645c0ac54639741c90a557 |
	| UCHIJA | forge     | 14.23.3.2676 | forge-1.12.2-14.23.3.2676.jar | e3c3d50c7c986df74c645c0ac54639741c90a557 |
	| UCHIJA | ic2       | 2.8.75-ex112 | Industrial Craft 2-2.8.75.jar | de041f9f6187debbc77034a344134053277aa3b0 |

	Loaded coremods (and transformers): 
	GL info: ' Vendor: 'ATI Technologies Inc.' Version: '4.5.13507 Compatibility Profile Context 23.20.15027.2002' Renderer: 'AMD Radeon (TM) R9 390 Series'
	Launched Version: 1.12.2-forge1.12.2-14.23.3.2676
	LWJGL: 2.9.4
	OpenGL: AMD Radeon (TM) R9 390 Series GL version 4.5.13507 Compatibility Profile Context 23.20.15027.2002, ATI Technologies Inc.
	GL Caps: Using GL 1.3 multitexturing.
Using GL 1.3 texture combiners.
Using framebuffer objects because OpenGL 3.0 is supported and separate blending is supported.
Shaders are available because OpenGL 2.1 is supported.
VBOs are available because OpenGL 1.5 is supported.

	Using VBOs: Yes
	Is Modded: Definitely; Client brand changed to 'fml,forge'
	Type: Client (map_client.txt)
	Resource Packs: 
	Current Language: English (US)
	Profiler Position: N/A (disabled)
	CPU: 8x AMD FX-8320E Eight-Core Processor 

kencinder

2018-04-29 23:05

reporter   ~0005650

Steps to Reproduce should say : Run a Forge server without IC2 present and connect to it with a client that has IC2 present. Place a furnace down and put coal in.

Chocohead

2018-04-30 02:02

developer   ~0005651

I think you've found the root cause when the fuel manager crashes with an illegal argument exception. It's been known for quite a while that it could, but no one ever came back with an answer what they were doing when it did. Should be quite easy to fix now the situation is clear.

Chocohead

2018-05-07 23:44

developer   ~0005657

Should all be fixed for IC2 2.8.76, do say if it isn't

kencinder

2018-05-08 11:00

reporter   ~0005658

Most certainly is fixed in 2.8.76, thanks!

Issue History

Date Modified Username Field Change
2018-04-29 18:38 kencinder New Issue
2018-04-29 18:38 kencinder File Added: crash-2018-04-29_15.28.20-client.txt
2018-04-29 23:05 kencinder Note Added: 0005650
2018-04-30 02:02 Chocohead Note Added: 0005651
2018-05-07 23:44 Chocohead Assigned To => Chocohead
2018-05-07 23:44 Chocohead Status new => resolved
2018-05-07 23:44 Chocohead Resolution open => fixed
2018-05-07 23:44 Chocohead Fixed in Version => Builds for MC 1.12.x
2018-05-07 23:44 Chocohead Note Added: 0005657
2018-05-08 11:00 kencinder Note Added: 0005658